/***********************/
/* NCStart.rexx        */
/* 7/20/89 - Don Nafis */
/***********************/

/* Suggested NazCron startup script */

/* Remove the comments below to trace this script. */
/*--->trace results<---*/

options failat 20

/* Start NazCron.  If this fails, copy NazCron to your C: directory. */
address command

NazCron
if (rc ~= 0) then
do
  say 'NAZCRON program not found.'
  exit 20
end

/* If you have not yet upgraded to ARexx 1.10, remove this group of
   statements and hope for the best. */

waitforport NAZCRON
if (rc ~= 0) then
do
  say 'NAZCRON port not available.  Return code: '||rc
  exit 20
end

/* End of group requiring ARexx version 1.10 */


/* This set of statements will "lock" the events from file S:crontab
   into memory.  NazCron will not access the file again until you
   issue the UNLOCK_EVENTS command.  This is a good practice if you
   wish to keep NazCron overhead to a minimum. */

address NAZCRON

LOCK_EVENTS
if (rc ~= 0) then
do
  say
  say '    NazCron has started but was unable to lock'
  say '     NazCron events.  Error code: '||rc
  say
end
else
do
  say
  say '    NazCron has started with file events locked.'
  say
  say '     To resume processing from S:crontab'
  say '     send the UNLOCK_EVENTS command.'
  say
end
